
<ion-content [fullscreen]="true" class="ion-padding">

  <ion-header>
    <ion-toolbar class="ion-padding">
      <ion-img slot="start" [src]="personImage" class="profile-photo"> </ion-img>
      <ion-grid>
        <ion-row>
          <ion-col>
            <ion-buttons>
              <ion-text color="dark">
                <h1 style="font-size: 22px;
                          font-weight: bolder;"
                    class="ion-padding-start ion-text-left">{{usuario.name}}</h1>
              </ion-text>
            </ion-buttons>
          </ion-col>
        </ion-row>
        <ion-row>
          <ion-col>
            <ion-buttons>
              <ion-button (click)="editarPerfil()">
                <ion-text class="ion-padding-start ion-text-left" slot="start" color="primary">Editar Perfil</ion-text>
              </ion-button>
            </ion-buttons>
          </ion-col>
        </ion-row>
      </ion-grid>
    </ion-toolbar>
  </ion-header>

  <ion-list>
    <ion-list-header>
      <ion-label>
        Mi cuenta
      </ion-label>
    </ion-list-header>
    <app-item *ngFor="let item of miCuenta" [icono]="item.icono" [titulo]="item.title" (click)="item.onclick?.()"></app-item>
  </ion-list>
  <ion-list>
    <ion-list-header>
      <ion-label>
        Sobre Uful
      </ion-label>
    </ion-list-header>
    <app-item *ngFor="let item of sobreUful" [icono]="item.icono" [titulo]="item.title"></app-item>
  </ion-list>
  <ion-list>
    <ion-list-header>
      <ion-label>
        Legal
      </ion-label>
    </ion-list-header>
    <app-item *ngFor="let item of legal" [icono]="item.icono" [titulo]="item.title"></app-item>
  </ion-list>
  <ion-buttons class="ion-padding">
    <ion-button class="ion-padding-start" slot="start" color="secondary" (click)="confirmLogOut()">
      Cerrar sesión
    </ion-button>
  </ion-buttons>

</ion-content>
